
package com.tmerclub.cloud.product.bo;

import java.io.Serial;
import java.io.Serializable;
/**
 * sku的分片信息
 * @author lanhai
 */
public class SkuZoneInfoBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 是否有进行分片
     */
    private Integer hasZone;

    /**
     * 还有库存的分片数量
     */
    private Integer limitZone;

    public SkuZoneInfoBO() {
    }

    public SkuZoneInfoBO(Integer hasZone, Integer limitZone) {
        this.hasZone = hasZone;
        this.limitZone = limitZone;
    }

    public Integer getHasZone() {
        return hasZone;
    }

    public void setHasZone(Integer hasZone) {
        this.hasZone = hasZone;
    }

    public Integer getLimitZone() {
        return limitZone;
    }

    public void setLimitZone(Integer limitZone) {
        this.limitZone = limitZone;
    }

    @Override
    public String toString() {
        return "SkuZoneInfoBO{" +
                "hasZone=" + hasZone +
                ", limitZone=" + limitZone +
                '}';
    }
}
